Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Feb 23 21:40
    leoniloris commented #2657
  • Feb 23 20:41

    richafrank on bump_urllib3

    (compare)

  • Feb 23 20:41

    richafrank on bump_sqlalchemy

    (compare)

  • Feb 23 20:41
    richafrank closed #2461
  • Feb 23 20:41
    richafrank commented #2461
  • Feb 23 20:40
    richafrank closed #2446
  • Feb 23 20:40
    richafrank commented #2446
  • Feb 23 10:14
    twiecki edited #458
  • Feb 21 21:52
    emretezel commented #1439
  • Feb 21 21:48
    emretezel commented #624
  • Feb 21 19:28
    coveralls commented #2659
  • Feb 21 19:26
    coveralls commented #2659
  • Feb 21 19:06
    dmichalowicz synchronize #2659
  • Feb 21 19:06

    dmichalowicz on nicer-fx-errors

    fix (compare)

  • Feb 21 14:03
    dmichalowicz synchronize #2659
  • Feb 21 14:03

    dmichalowicz on nicer-fx-errors

    fix (compare)

  • Feb 21 13:55
    dmichalowicz synchronize #2659
  • Feb 21 13:55

    dmichalowicz on nicer-fx-errors

    feedback (compare)

  • Feb 20 13:38
    lucaspalomeque opened #2660
  • Feb 20 02:19
    lucaspalomeque commented #2190
Scott Sanderson
@ssanderson
if you suspect blas is the culprit though, you could try setting the OMP_NUM_THREADS environment variable to '1'at the start of the process where you're running zipline
Bryan Yu
@ybryan
@tuorpeZ My guess is that it downloads SPY data for alpha calculations as the benchmark
Bryan Yu
@ybryan
Has anyone come across a pkg_resources.ContextualVersionConflict: (pandas 0.18.1 (/usr/local/lib/python3.5/site-packages), Requirement.parse('pandas>=0.19.2'), {'pandas-datareader'}) when trying to run any of the zipline commands?
Bryan Yu
@ybryan
figured it out. not sure why but pandas-datareader==0.6.0 gets installed instead of pandas-datareader==0.2.1 when pip installing from git master
Bryan Yu
@ybryan
How does zipline handle thinly traded stocks/can it? Tried to ingest a csv with and not successful
Ahmet Can Acar
@acanacar
is there any solution for TypeError: data type "datetime" not understood?
tried to install latest version but it didnt work . my egg is : zipline-1.1.1+246.g4002a03-py3.5.egg-info
Freddie Vargus
@freddiev4
I've seen that here @acanacar quantopian/zipline#2082
Could you open an issue on GitHub with more details?
or even comment on that issue i linked to with more details?
rohitswaroop
@rohitswaroop
@freddiev4 - are we able to ingest fundamental company data which is not in OHLCV format?
Danish A. Alvi
@DanishAAlvi_twitter
Guys is there any way we can use Zipline to plot returns of an algorithmic trader in a matplotlib graph?
IA-UoK
@IA-UoK
@AzadQalamdar_twitter the results that come back from running an algorithm are a dataframe. You can easily plot these using matplotlib
Does zipline support bracket orders?
philschrad
@philschrad
hi all, can anyone point me to some examples of using the zipline pipeline for research? I’ve used the quantopian research environment a bit but things don't seem to transfer easily into zipline. In particular, how can I make and run a pipeline in zipline?
Ric Jenkin
@cncplyr
Hey all, when will zipline 1.2.0 be available?
Freddie Vargus
@freddiev4
Hi @cncplyr I opened a release on GitHub yesterday ; trying to upload to PyPi/Anaconda today
Ric Jenkin
@cncplyr
Awesome, thank you!
Freddie Vargus
@freddiev4
@cncplyr just uploaded to PyPI
next is conda packages
hopefully you should be able to pip install zipline without any issues
Also zipline.io is updated with new docs; see: http://www.zipline.io/releases.html#release-1-2-0
Freddie Vargus
@freddiev4
conda packages are there for Linux & Windows now; need to build macOS packages
Ric Jenkin
@cncplyr
cool!
Ric Jenkin
@cncplyr
I can't seem to update, it complains that empyrical 0.4.2 isn't available?
actually I can only see empyrical up to 0.3.4 available on Quantopian and conda-forge
ah nvm i see it in pypi
Freddie Vargus
@freddiev4
@cncplyr good catch. forgot to add empyrical 0.4.2 to anaconda; just fixed that
Ric Jenkin
@cncplyr
:thumbsup:
David Yang
@yngstr
Can Zipline handle backtests on rates futures?
the p&l calcs are more complicated
Jonathan Larkin
@marketneutral
hi there. do you have a spec for public comment on how you will modify the security master and all other aspects of zipline to accommodate for non-US equities? Thanks.
Ahmet Can Acar
@acanacar
I m getting error while getting daily history data in minute mode
there is some bug issue solved already but i do not know how to benefit from it
not much familiar with github. Is there anyone giving directions about it?
Pius
@Life1Hunt_twitter
Hey guys what wheel version do you use when installing zipline?
cause it always fails cause of wheels
Erik Kastman
@kastman
Hi all, I see the data download for treasuries directly from the federal reserve website in zipeline/data/treasuries.py, but as a relative newcomer I'm not sure how to actually access them in an algorithm from within the context of a data.history() or zipline.api.symbol. Is it possible to point to a public quantopian algorithm or even a few lines here in gitter to grab, say, the current price of a 10year treasury, e.g. from ~/.zipline/data/treasury_curves.csv? Thanks! If I get a good example I can create a PR for the doc.
Erik Kastman
@kastman
For example, I'm familiar with getting a pandas frame out of quandl's treasury dataset ("USTREASURY/YIELD"), but I'm not sure how to add it into an existing bundle (make up an equity sid for it and re-ingest?) I've also seen using ETFs that track the rate, but want to have the rate itself, not the price of the tracking ETF (though, actually I may want both). Does anyone have an example or suggestion?
calmitchell617
@calmitchell617
Hi everyone, I am just getting started with Zipline and wanted to introduce myself. My summer internship will involve lots of Zipline usage, and it would be great to contribute to the community somehow
Erik Kastman
@kastman
@calmitchell617 I'm not sure if this will be enough for you to re-implement it, but the notebook @ssanderson created (post #2) when the optimize API was first introduced explains what they're doing pretty well: https://www.quantopian.com/posts/optimize-api-generally-available
nxt-feng
@nxt-feng
Can ziplin support encrypted currency exchanges?
Freddie Vargus
@freddiev4
Hi @nxt-feng in order to do any sort of work with cryptocurrencies, you'd need your own pricing data (see http://www.zipline.io/bundles.html#ingesting-data-from-csv-files) and to create your own trading calendar (see http://www.zipline.io/trading-calendars.html); aside from that, we don't have any built-in support / focus on cryptocurrencies
Scott Sanderson
@ssanderson

hi @/all. We've just released version 1.3.0 of Zipline. Highlights of this release include:

  • Support for pandas 0.22 and numpy 1.14.
  • A new separately-installable trading_calendars module.
  • Improved support for custom Blotters.
  • Support for custom CLI arguments.

This is likely last minor release in the Zipline 1.x series. The next Zipline release will include preliminary support for international markets, which we expect to require a small number of breaking changes. As such, the next release will most likely be Zipline 2.0.

You can find the full release notes for this release at http://www.zipline.io/releases.html#release-1-3-0.

sidbazinga
@sidbazinga
Hii I am new to zipline, is there any pdf documentation available ?
Freddie Vargus
@freddiev4
Hi @sidbazinga we don't have any docs in the form of PDFs (at least that I'm aware of?) but we have docs at http://zipline.io, and the raw .rst files here: https://github.com/quantopian/zipline/tree/master/docs/source
sidbazinga
@sidbazinga
I have some data files which have more columns than the standard ingest format, is there a way out to ingest these ?
Freddie Vargus
@freddiev4
@sidbazinga I'm thinking either you'd have to drop those columns or write your own bundle
sidbazinga
@sidbazinga
@freddiev4 going ahead with writing my own bundle, thanks :)
Ashic Mahtab
@ashic
hey guys.... new to zipline; investigating at this point. If I have a separate streaming data source, what would be the best way of integrating with zipline? e.g. I get tick data from an api, and want feed it to zipline and can our api function when (say) there's a 10-20 ema cross.